<!doctype html>
<html lang="fr">

<head>
    <meta charset="utf-8">
    <title>Demo Spring Data JPA</title>
    <link rel="stylesheet" href="style.css">
</head>

<body>

<a href="http://localhost:8080/h2-console">base H2</a>
<br><br>

Fonctionnement par défaut - texte -> 1+N
<br>
<a href="./fonctionnementpardefauttexte">./fonctionnementpardefauttexte</a>
<br><br>

EntityGraph -> 1 seule requête
<br>
<a href="./entityGraph">./entityGraph</a>
<br><br>

Fonctionnement par défaut - jpql -> 1+N
<br>
<a href="fonctionnementpardefautjpql">./fonctionnementpardefautjpql</a>
<br><br>

Join - jpql -> 1+N
<br>
<a href="./joinjpql">./joinjpql</a>
<br><br>

Fetch - jpql -> 1 seule requête
<br>
<a href="./fetchjpql">./fetchjpql</a>
<br><br>

</body>

</html>